Tech Debt/Dev Chore: Make EditTaskTest less flaky
Closed, ResolvedPublic2 Story Points

Description

This test is failing a lot due to a mismatch in the editing time set here and checked here. Let's make it more robust.

Mholloway updated the task description. (Show Details)
Mholloway raised the priority of this task from to Needs Triage.
Mholloway moved this task to Needs Triage on the Wikipedia-Android-App-Backlog board.
Mholloway added a subscriber: Mholloway.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 1 2015, 11:24 PM
Dbrant moved this task from Needs Triage to Next Sprint on the Wikipedia-Android-App-Backlog board.
MBinder_WMF edited a custom field.Dec 4 2015, 6:45 PM
bearND claimed this task.Dec 11 2015, 5:27 PM
bearND moved this task from To Do to Doing on the Mobile-App-Android-Sprint-72-Hafnium board.

@Mholloway et al.: Do you happen to have a few links to occurrences of this test failure in our CI?

Here's one, I'll look for and edit to add after I'm out of my 2pm meeting:
https://integration.wikimedia.org/ci/job/apps-android-wikipedia-test/941/

That's great. Thanks!

I think one is good enough for now.

Change 259048 had a related patch set uploaded (by BearND):
Make EditTaskTest more reliable

https://gerrit.wikimedia.org/r/259048

Change 259048 merged by jenkins-bot:
Make EditTaskTest more reliable

https://gerrit.wikimedia.org/r/259048

I'm sorry to say I just got another instance of the same EditTaskTest failure while running tests locally:

org.wikipedia.test.EditTaskTest > testEdit[Nexus 6P - 6.0.1] FAILED
java.lang.AssertionError:
Expected: is not "== Section 2 ==\n\nEditing section INSERT RANDOM & HERE test at 1450367303829"
Tests on Nexus 6P - 6.0.1 failed: Instrumentation run failed due to 'Process crashed.'
:app:connectedDevDebugAndroidTest FAILED

FAILURE: Build failed with an exception.

  • What went wrong:

Execution failed for task ':app:connectedDevDebugAndroidTest'.

There were failing tests. See the report at: file:///Users/loaner494/wikipedia/app/build/reports/androidTests/connected/flavors/DEV/index.html

  • Try:

Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

BUILD FAILED

Total time: 1 mins 52.99 secs

Dbrant closed this task as Resolved.Jan 4 2016, 5:44 PM